Bug 478655 - Review Request: sion - GIO/GVFS management application
Review Request: sion - GIO/GVFS management application
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-02 16:55 EST by Kevin Fenzi
Modified: 2009-01-04 16:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-04 16:52:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cwickert: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2009-01-02 16:55:45 EST
Spec URL: http://www.scrye.com/~kevin/fedora/sion/sion.spec
SRPM URL: http://www.scrye.com/~kevin/fedora/sion/sion-0.1.0-1.fc11.src.rpm
Description: 

A frontend to easily manage connections to remote filesystems using GIO/GVFS. 
It allows you to quickly connect/mount a remote filesystem and manage
bookmarks of such.

rpmlint is silent on the package. 
rawhide scratch build at: http://koji.fedoraproject.org/koji/taskinfo?taskID=1029974
Comment 1 Christoph Wickert 2009-01-02 19:53:26 EST
REVIEW FOR 8d0af5eecdb1a646e0f5ecce75be5648  sion-0.1.0-1.fc11.src.rpm

OK - MUST: $ rpmlint /var/lib/mock/fedora-rawhide-i386/result/sion-*
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
OK - MUST: The package is named according to the Package Naming Guidelines.
OK - MUST: The spec file name matches the base package %{name}, in the format %{name}.spec.
OK - MUST: The package meets the Packaging Guidelines.
OK - MUST: The package is licensed with a Fedora approved license (GPLv2) and meets the Licensing Guidelines.

FIX - MUST: The License field in the package spec does not match the actual license. All the headers read: 
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; version 2 of the License.
This is GPLv2 only, AFIAR from my plugins Enrico usually uses this

OK - MUST: The license file from the source package is included in %doc.
OK - MUST: The spec file is in American English.

NOTE - MUST: The spec file for the is legible, but I would prefer line brakes in the configure statements

OK - MUST: The sources used to build the package matches the upstream source by MD5 d38ba0f6468793f1860bbc6a5797916d
OK - MUST: The package successfully compiles and builds into binary rpms on all arches
OK - MUST: All build dependencies are listed in BuildRequires.
OK - MUST: The spec file handles locales properly with the %find_lang macro.
OK - MUST: The package is not designed to be relocatable
OK - MUST: The package owns all directories that it creates.
OK - MUST: The package does not contain any duplicate files in the %files listing.
OK - MUST: Permissions on files are set properly. Every %files section includes a %defattr(...) line.
OK - MUST: The package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT
OK - MUST: The package consistently uses macros, as described in the macros section of Packaging Guidelines .
OK - MUST: The package contains code
OK - MUST: No large documentation files for a -doc subpackage
OK - MUST: Files included as %doc do not affect the runtime of the application.
OK - MUST: The package does not contain any .la libtool archives.

NOTE - MUST: The Package contains a GUI application and includes a %{name}.desktop file, and that file is properly installed with desktop-file-install in the %install section. But AFIAK we don't use vendor any longer for new packages. See: 
  https://fedoraproject.org/wiki/TomCallaway/DesktopFileVendor

OK - MUST: The packages does not own files or directories already owned by other packages.
OK - MUST: At the beginning of %install, the package runs rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ).
OK - MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
OK - SHOULD: The package builds in mock.
OK - SHOULD: The package compiles and builds into binary rpms on all supported architectures.
OK - SHOULD: The package functions as described.
OK - SHOULD: The package has no file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin
OK - SHOULD: Timestamp of Source matches


If you fix the License tag you can consider this package APPROVED. The rest is up to you.
Comment 2 Christoph Wickert 2009-01-03 00:27:30 EST
The date in the changelog is wrong, it still 2008 :)
Comment 3 Kevin Fenzi 2009-01-03 01:10:31 EST
Oops. I looked at all the files and saw that it was GPLv2, but for some reason
put GPLv2+ in the spec. ;( 

> The date in the changelog is wrong, it still 2008 :)

That's the second time I have done that today. ;( 

Thanks for the review and spotting that. 
Will fix on import. 

New Package CVS Request
=======================
Package Name: sion
Short Description: GIO/GVFS management application
Owners: kevin
Branches: devel F-10 F-9 
InitialCC:
Comment 4 Christoph Wickert 2009-01-03 09:27:16 EST
Important: The package needs to require gvfs to provide gvfs-open. You also should require fuse because fusermount is needed, see
http://mmassonnet.blogspot.com/2008/09/mount-remote-file-systems-tape-2.html

Not sure if you also should require gnome-mount, because this can be configured in the settings and the gnome-mount package has been orphaned recently (or is going to be soon, I don't remember).
Comment 5 Christoph Wickert 2009-01-03 09:34:57 EST
I think requiring %{_bindir}/gvfs-open and %{_bindir}/fusermount is better than the package names.
Comment 6 Kevin Fenzi 2009-01-04 15:20:14 EST
Good catch. I will fix that before importing. 

cvs done.
Comment 7 Kevin Fenzi 2009-01-04 16:52:20 EST
Imported and built. Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.